package com.artfess.bpm.persistence.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;

@XmlRootElement(name = "bpmReportXmlList")
@XmlAccessorType(XmlAccessType.FIELD)
public class BpmReportXmlList {
    @XmlElement(name = "bpmReportXml", type = BpmReportXml.class)
    private List<BpmReportXml> bpmReportXmlList = new ArrayList<>();

    public List<BpmReportXml> getBpmReportXmlList() {
        return bpmReportXmlList;
    }

    public void setBpmReportXmlList(List<BpmReportXml> bpmReportXmlList) {
        this.bpmReportXmlList = bpmReportXmlList;
    }

    public void addBpmReportXml(BpmReportXml bpmReportXml){
        bpmReportXmlList.add(bpmReportXml);
    }
}
